# cnos_system – Manage the system attributes on Lenovo CNOS devices

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of node system attributes on Lenovo CNOS devices. It provides an option to configure host system parameters or remove those parameters from the device active configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain_name - |  | Configures the default domain name suffix to be used when referencing this node by its FQDN. This argument accepts either a list of domain names or a list of dicts that configure the domain name and VRF name or keyword 'default'. See examples.
domain_search - |  | Configures a list of domain name suffixes to search when performing DNS name resolution. This argument accepts either a list of domain names or a list of dicts that configure the domain name and VRF name or keyword 'default'. See examples.
hostname - |  | Configure the device hostname parameter. This option takes an ASCII string value or keyword 'default'

lookup_enabled
boolean

Choices:
- no
- yes

Administrative control for enabling or disabling DNS lookups. When this argument is set to True, lookups are performed and when it is set to False, lookups are not performed.

lookup_source - |  | Provides one or more source interfaces to use for performing DNS lookups. The interface must be a valid interface configured. on the device.
name_servers - |  | List of DNS name servers by IP address to use to perform name resolution lookups. This argument accepts either a list of DNS servers or a list of hashes that configure the name server and VRF name or keyword 'default'. See examples.

state
-

Choices:
- present ←
- absent

State of the configuration values in the device's current active configuration. When set to present, the values should be configured in the device active configuration and when set to absent the values should not be in the device active configuration

## Examples

    - name: configure hostname and domain-name
      cnos_system:
        hostname: cnos01
        domain_name: test.example.com

    - name: remove configuration
      cnos_system:
        state: absent

    - name: configure name servers
      cnos_system:
        name_servers:
          - 8.8.8.8
          - 8.8.4.4

    - name: configure DNS Lookup sources
      cnos_system:
        lookup_source: MgmtEth0/0/CPU0/0
        lookup_enabled: yes

    - name: configure name servers with VRF support
      nxos_system:
        name_servers:
          - { server: 8.8.8.8, vrf: mgmt }
          - { server: 8.8.4.4, vrf: mgmt }

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['hostname cnos01', 'ip domain-name test.example.com vrf default']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anil Kumar Muraleedharan (@amuraleedhar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.